package org.kantega.jexmec.test;

/*
 * Copyright 2011 Kantega AS
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import org.kantega.jexmec.ClassLoaderProvider;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 *
 */
public class TestClassLoaderProvider implements ClassLoaderProvider {
    private final List<ClassLoader> classLoaders = new ArrayList<ClassLoader>();
    private Registry registry;

    public TestClassLoaderProvider(ClassLoader... classLoaders) {
        this.classLoaders.addAll(Arrays.asList(classLoaders));
    }

    public void addClassLoader(ClassLoader... classLoaders) {
        this.classLoaders.addAll(Arrays.asList(classLoaders));
    }

    public void start(Registry registry, ClassLoader parentClassLoader) {
        this.registry = registry;
        if(classLoaders.size() > 0) {
            registry.add(classLoaders);
        }
    }

    public void stop() {
        registry.remove(classLoaders);
    }

    public Registry getRegistry() {
        return registry;
    }
}

